Introduction

VUPlayer is a freeware multi-format audio player for Windows
supporting MOD/S3M/XM/IT/MP3/OGG/FLAC/WMA/WAV/CD formats

Features include:

• gapless OGG/FLAC/WMA/CD playback •
• MP3/OGG internet file streaming •
• optional 32-bit mixing •
• 9-band graphic equalizer •
• full system tray functionality •
• timer playback/screen saver feature •
• configurable system-wide hotkeys •
• support for multiple visuals via a plug-in system •
• digital audio extraction •
• encoding to Ogg Vorbis, FLAC & Windows Media Audio 9 formats •
• remote freedb support •
• CD-Text support •

•

System requirements:

Microsoft Windows 95,98,ME,NT,2000 or XP
Microsoft DirectX version 3 or later
32-bit mixing requires WDM audio drivers
Graphic EQ requires DirectX 8 (version 9 required for 32-bit mixing)
Windows Media Audio support requires Windows Media Player or Encoder 9
Audio CD support requires Windows NT, 2000 or XP
CD-Text support requires Windows XP

VUPlayer Help v2.1 (5 February 2004)


Main Panel

• Volume Control
Use this slider to adjust the main volume level.

• Progress Bar
Left click and drag anywhere within the bar to jump to a specific position within the current track.

• Progress Counter
Left click to toggle between Track Elapsed & Track Remaining, right click to change the counter font or color.

• Display Meter
Left click to toggle the meter on/off, right click to change the display colors.

• Tab Control
Use this to toggle between the currently loaded playlist & any available Audio CDs.

• Playlist
Left click on a column header to sort the playlist. To change the track order, left click and drag a track to the desired position. Right click on the playlist to display a context menu containing various functions.


File Menu

• New Playlist
Clears the current playlist.

• Open Playlist
Opens a previously saved playlist.

• Save Playlist
Saves the current playlist.

• Save Playlist As
Saves the current playlist under a given name.

• Add URL
Adds an internet file stream to the current playlist. The address should begin with either "http://" or "ftp://".

• Add Folder
Adds a folder (including all of its subfolders) to the current playlist.

• Add File(s)
Adds one or more files to the current playlist.

• Remove File(s)
Removes selected files from the current playlist.

• Decode Audio
Writes selected tracks to disk as WAV files.

• Extract Audio
Extracts audio tracks from CD to disk via the audio extraction feature.

• Retrieve Info
Retrieves disc information from the remote freedb database.

• Options
Configures various program options.

• Exit
Quits the program.


View Menu

• Always on Top
Enables or disables topmost window status.

• Counter Font
Changes the font of the progress counter.

• Counter Color
Changes the color of the progress counter.

• Counter Format
Chooses the display mode of the progress counter.

• Display Meter
Toggles the display meter on and off.

• Graphic Equalizer
Shows or hides the Graphic Equalizer.

• Playlist Display
Changes the playlist font, color or background color.

• Playlist Columns
Displays or hides specific playlist columns.

• Sort Playlist by
Sorts the playlist by the desired attribute.

• File/Disc Information
Displays information about the current file/disc.


Control Menu

• Play
Starts playback (unpauses if already paused, restarts from the beginning of the current track if already playing).

• Pause
Pauses playback (unpauses if already paused).

• Stop
Stops playback.

• Previous Track
Selects the previous track.

• Next Track
Selects the next track.

• Stop at Track End
Stops playback at the end of the current track.

• Volume Fade Out
Fades out the volume and stops playback.

• Fade to Next Track
Crossfades into the next track.

• Mute Volume
Enables or disables the volume mute.

• Auto Crossfade
Enables or disables automatic crossfading.

• Random Play
Enables or disables random playback.

• Repeat Track
Enables or disables track repeat.

• Repeat Playlist
Enables or disables playlist repeat.

• Jump to Track
Jumps to a specific track in the current playlist.

• Timer Playback
Synchronises playback to the system clock or screen saver.


Audio Extraction

• Track Selection
Select the tracks to be extracted.

• Output Location
Use the 'Browse' button to select the folder into which the extracted files will be placed. Use the 'Filename' button to alter the formatting of filenames. By default the extracted tracks are named after the track number & track title and placed in a subfolder based on the artist & album title.

• Output Format
Select the desired output format. Audio can be extracted either as uncompressed Windows PCM data, or compressed using any of the available encoders. The output properties of an individual encoder can be changed via the 'Configure' button.

• Add extracted tracks to current playlist
Select this to add extracted tracks to the end of the current playlist.


Options

• Output Device
Select the desired ouput device.

• Sample Rate
Select the sampling rate. 44100Hz or 48000Hz should be used on most setups.

• Buffer Length
Select the size of the output buffer. Using a shorter buffer length decreases latency, but could lead to occasional sound break up.

• DAE Priority
Select the priority level of the CD Audio playback thread.

• Enable 32-bit mixing
Select this to enable 32-bit floating point mixing.

• Enable gapless OGG/FLAC/CD playback
Select this to enable seamless mixing between OGG/FLAC/WMA/CD tracks. Please note that gapless playback will be disabled whenever automatic crossfading is enabled.

• Automatically correct mixing level
Selecting this option will limit the internal mixing level of MOD/S3M/XM/IT files during playback to avoid clipping.

• Use mixing and panning levels from playlist on loading
If selected, mixing and panning levels stored in the current playlist will be used when loading MOD/S3M/XM/IT files, otherwise the default values will be used.

• Default Mixing
Adjust the default mixing level of MOD/S3M/XM/IT files.

• Default Panning
Adjust the default panning level of MOD/S3M/XM/IT files.

• Surround Sound
Select the surround sound effect to be applied to MOD/S3M/XM/IT files.

• Volume Ramping
Select the volume ramping option to be applied to MOD/S3M/XM/IT files. Using normal or sensitive ramping will help prevent any unwanted clicks on output.

• Song Looping
Select the action to be taken upon reaching the end of a looped MOD/S3M/XM/IT file.

• Start playback on program start
If selected, playback will commence when the program is launched.

• Start playback on playlist / CD open
If selected, playback will commence when a playlist or Audio CD is loaded.

• Remember last playback position on program exit
If selected, the program will remember the last playback position on program exit. If this option is used in combination with the 'Start playback on program start' option, playback will resume from where it last left off.

• Retain "Stop at Track End" setting
If selected, the program will not reset the "Stop at Track End" setting after playback has stopped. This option can therefore be used to prevent the program automatically progressing to the next track.

• Registered Filetypes
Choose whether VUPlayer should become the default application for selected filetypes.

• Minimize to system tray
Select this to minimize the program to the system tray rather than the taskbar.

• Minimize on startup
Select this to have the program start in a minimized state.

• Single / Double / Triple / Quadruple Click
Select the actions to be performed when left clicking on the system tray icon (right clicking will always bring up the system tray menu).

• Enable system-wide hotkeys
If selected, the program will register the specified system-wide hotkeys which can be used to control VUPlayer even when it does not have the current input focus. Use the 'Clear Key' button to clear the selected action, and the 'Assign Key' button to assign a function to a specific key. The Ctrl, Alt, Shift & Windows keys can be used in combination with any other key.

• Cut-off period
Use this slider to adjust the time interval (relative to the end of the track) during which crossfading is allowed.

• Cut-off volume
Use this slider to specify the level to which the volume must fall before crossfading is triggered.

• Length of fade out
Use this slider to adjust the length of time it takes to fade out the previous track.

• email address
Enter a valid email address to be used when connecting to the freedb server. This can be left blank for retrieval purposes, but will be required when submitting data to the freedb database.

• freedb server
Select the desired freedb server. Use the 'Refresh List' button to obtain the latest server list.

• Automatically query freedb for unrecognized discs
Select this to have the program query the freedb database whenever a new disc is loaded.


Keyboard Shortcuts

The following keyboard shortcuts are available from the main program window:

F1 | Display Help Contents
F2 | Mute Volume
F3 | Decrease Volume
F4 | Increase Volume
F5 | Start Playback
F6 | Pause Playback
F7 | Stop Playback
F8 | Open Playlist
F9 | Previous Track
F10 | Next Track
F11 | Stop at Track End
F12 | Volume Fade Out
CTRL+F12 | Fade to Next Track
LEFT ARROW | Skip Backwards
RIGHT ARROW | Skip Forwards
SPACEBAR | Start Playback
CTRL+N | New Playlist
CTRL+O | Open Playlist
CTRL+S | Save Playlist
CTRL+U | Add URL
CTRL+L | Add Folder
CTRL+A | Add File(s)
CTRL+R | Remove File(s)
CTRL+E | Extract Audio
CTRL+Y | Retrieve Info
CTRL+P | Program Options
CTRL+W | Always on Top
CTRL+F | Counter Font
CTRL+D | Counter Color
CTRL+M | Display Meter
CTRL+G | Graphic Equalizer
CTRL+I | File/Disc Information
CTRL+Q | Auto Crossfade
CTRL+H | Random Play
CTRL+J | Repeat Track
CTRL+K | Repeat Playlist
CTRL+T | Jump to Track
CTRL+B | Timer Playback

The following hot keys are supported for enhanced keyboards:

MEDIA PLAY/PAUSE | Start / Pause Playback
MEDIA STOP | Stop Playback
MEDIA PREVIOUS TRACK | Previous Track
MEDIA NEXT TRACK | Next Track
VOLUME UP | Increase Volume
VOLUME DOWN | Decrease Volume
VOLUME MUTE | Mute Volume

The ATI Remote Wonder plug-in (vu_ammo.dll) supports the following keys:

PLAY | Start Playback
PAUSE | Pause Playback
STOP | Stop Playback
CURSOR UP/LEFT | Previous Track
CURSOR DOWN/RIGHT | Next Track
MUTE | Mute Volume
VOLUME DOWN | Decrease Volume
VOLUME UP | Increase Volume
REWIND | Skip Backwards
FAST FORWARD | Skip Forwards
A-F (CUSTOM) | Stop at Track End
A-F (CUSTOM) | Volume Fade Out
A-F (CUSTOM) | Toggle Current Tab


Version History

• version 2.1 (5 February 2004)
implemented a WAV file writer
added support for RIFF text chunks in WAV files
new Swedish language interface (thanks to Marcus)
started using NSIS for the installer

• version 2.03 (9 December 2003)
split the program into separate language builds

• version 2.02 (28 November 2003)
fixed a couple of OGG/FLAC tag editing bugs

• version 2.01 (26 November 2003)
updated to version 1.01 of the Ogg Vorbis libraries

• version 2.0 (14 November 2003)
added a level-based crossfader
added custom file naming to the audio extraction feature
improved Audio CD playback performance
replaced the keyboard hook with configurable system-wide hotkeys
new Spanish language interface (thanks to Vicente)
new Italian language interface (thanks to Lorenzo)
updated to version 2.0 of the BASS library
started using UPX to pack the program

• version 1.9 (2 September 2003)
new mini control plug-in
added gapless WMA playback
added always on top and drag & drop functionality to the visuals
added support for folders on the command line

• version 1.8 (26 July 2003)
added support for MP3/OGG internet file streaming
fixed length calculation for MP3 files with VBRI headers

• version 1.7 (23 June 2003)
fixed an Audio CD recognition bug
re-enabled Audio CD support for Windows NT systems

• version 1.6 (1 June 2003)
added Windows Media Audio 9 Professional encoding options
added a manual refresh option to the CD drive menu
removed the limit on the maximum playlist size

• version 1.5 (25 May 2003)
a help file has finally been compiled
enabled FLAC tag editing
enabled freedb data submissions
shifted configuration settings to the registry
fixed a few issues related to multi-user environments

• version 1.4 (4 May 2003)
new CD ripping feature with a plug-in encoder system
added Ogg Vorbis, FLAC & Windows Media Audio 9 encoders
added remote freedb support for disc information retrieval
improved support for Audio CDs with a 'hidden track 0'
fixed a cmdline startup bug

• version 1.3 (29 March 2003)
new 32-bit mixing option (requires WDM audio drivers)
new 9-band graphic equalizer (requires DirectX 8 or later)
rearranged the main window layout
added support for multiple visuals via a new plug-in system
added CD-Text support for Windows XP systems
added FLAC support
added a playlist repeat feature
added an option to remember the last playback position on exit
various minor updates and enhancements

• version 1.2 (10 January 2003)
updated the Windows Media Audio 9 decoder
fixed M3U playlist loading
fixed a bug with Audio CD file type registration
included a plug-in for the ATI Remote Wonder

• version 1.1 (15 December 2002)
added DAE based Audio CD playback for Windows NT/2000/XP systems

• version 1.05 (3 September 2002)
added skip forwards/backwards functions
included a new jump to track feature
fixed an ogg vorbis loading bug
updated to BASS 1.6 (spectrum analyser now uses a stereo FFT)

• version 1.04 (13 August 2002)
new keyboard hook feature for background monitoring of function keys
added hot key support for enhanced keyboards
added mute volume & volume up/down functions
removed the dependency on multimedia timers
updated ogg vorbis code to version 1.0
shuffled WMA code off into a separate library
the usual round of minor updates and bugfixes

• version 1.01 (3 March 2002)
minor update to improve support for badly formatted MP3 files

• version 1.0 (27 January 2002)
split the program into two versions, standard & full
windows media audio playback is included in the full version
both versions are now supplied with a full installer
gapless ogg vorbis playback is now an option
random playback has been improved slightly

• version 0.9 (1 January 2002)
ogg vorbis support has been updated to RC3
ogg vorbis comment editing has been added
timer playback has been copied over from my other cd program
support for Windows XP visual styles
compatibility fix for Windows 95/95a systems

• version 0.8 (14 October 2001)
added full system tray functionality
included a new 'add folder' function to scan for music files
a new spectrum analyser display style has been added
improved sorting by using a stable 2-pass shell sort method
it is now possible to show/hide the volume controls

• version 0.7 (27 July 2001)
the main program window is now fully resizable
the playlist display can now be customized (font & colour)
it is now possible to show, hide and reorder columns
extra categories have also been added to the playlist
the maximum playlist size has been increased to 10000 entries
added 'start playback on program launch/playlist open' options
included a new 'add to playlist' command line/shell option
MP2 file format support has been added
surround sound modes have been shifted to the options screen
some new volume ramping options for MOD/S3M/XM/IT files
soundcard tone & balance controls have been added
the BASS library has been updated to version 1.0
ogg vorbis support has been updated to RC2 (14 August 2001)
tracked down some bugs to improve general program stability

• version 0.6 (28 May 2001)
the BASS library has been updated to version 0.9
(improved MPEG support and new MOD surround sound modes)
added 'volume fade out' and 'stop at track end' options
added M3U playlist loading (not extensively tested)

• version 0.5 (16 April 2001)
minor update to include a new oscilloscope display style
updated the example source code (see website for details)

• version 0.4 (22 March 2001)
added ogg vorbis support (no comment editing yet though)
improved support for MP3 files

• version 0.3 (9 February 2001)
fixed the problem on WindowsNT/2000
(this was due to a stuck GlobalDeleteAtom loop which
should have caused the program to fail on Win98 as well)
added 25/50fps right-click menu on the VU Meters
right click also centres the Mixing & Panning sliders
some more general bugfixes

• version 0.2 (8 January 2001)
file type registration has been added
track repeat and random play have been added
numerous bugfixes

• version 0.1 (10 October 2000)
initial release of the program


Credits

VUPlayer is Copyright © 2000-2004 James Chapman
http://www.vuplayer.com

•

BASS Library is Copyright © 1999-2004 Ian Luck
http://www.un4seen.com

•

Ogg Vorbis is Copyright © 1994-2004 the Xiphophorus Company
http://www.vorbis.com

•

FLAC is Copyright © 2000-2004 Josh Coalson
http://flac.sourceforge.net

•

Portions utilize Microsoft Windows Media Technologies
Copyright © 1999-2004 Microsoft Corporation
All Rights Reserved
http://www.microsoft.com/windowsmedia/

•

freedb is Copyright © 2000-2004 freedb.org
http://www.freedb.org